<?php

namespace Modules\System\Providers;

use Catch\Providers\CatchModuleServiceProvider;
use Modules\System\Middlewares\SystemGate;

class SystemServiceProvider extends CatchModuleServiceProvider
{
    /**
     * middlewares
     *
     * @return string[]
     */
    protected function middlewares(): array
    {
       return [];
    }

    /**
     * route path
     *
     * @return string|array
     */
    public function moduleName(): string|array
    {
        // TODO: Implement path() method.
        return 'system';
    }
}
